This repository has been archived by the owner. It is now read-only.
Permalink
Browse files

Tag the -p9 release using the final 9.2-RELEASE code

Merge branch 'releng/9.2' of https://github.com/freebsd/freebsd into releng/9.2

Conflicts:
	sys/conf/newvers.sh
  • Loading branch information...
kmoore134 committed Sep 27, 2013
2 parents d3d14d0 + 05c3e78 commit 8a79a40d43a3922d4c99bb5b6d5124e8299e8b7c
@@ -24,7 +24,7 @@
# Set these, release builder!
#
# Fixed version:
-#BUILDNAME=9.2-RC4
+#BUILDNAME=9.2-RELEASE
#
# Automatic SNAP versioning:
DATE != date +%Y%m%d
@@ -28,7 +28,7 @@
<pubdate>$FreeBSD$</pubdate>
<copyright>
- <year>2012</year>
+ <year>2013</year>
<holder role="mailto:doc@FreeBSD.org">The &os; Documentation Project</holder>
</copyright>
@@ -106,59 +106,9 @@
<tbody>
<row>
- <entry><ulink url="http://security.freebsd.org/advisories/FreeBSD-SA-12:01.openssl.asc"
- >SA-12:01.openssl</ulink></entry>
- <entry>3&nbsp;May&nbsp;2012</entry>
- <entry><para>OpenSSL multiple vulnerabilities</para></entry>
- </row>
-
- <row>
- <entry><ulink url="http://security.freebsd.org/advisories/FreeBSD-SA-12:02.crypt.asc"
- >SA-12:02.crypt</ulink></entry>
- <entry>30&nbsp;May&nbsp;2012</entry>
- <entry><para>Incorrect <function>crypt()</function> hashing</para></entry>
- </row>
-
- <row>
- <entry><ulink url="http://security.freebsd.org/advisories/FreeBSD-SA-12:03.bind.asc"
- >SA-12:03.bind</ulink></entry>
- <entry>12&nbsp;June&nbsp;2012</entry>
- <entry><para>Incorrect handling of zero-length RDATA fields in &man.named.8;</para></entry>
- </row>
-
- <row>
- <entry><ulink url="http://security.freebsd.org/advisories/FreeBSD-SA-12:04.sysret.asc"
- >SA-12:04.sysret</ulink></entry>
- <entry>12&nbsp;June&nbsp;2012</entry>
- <entry><para>Privilege escalation when returning from kernel</para></entry>
- </row>
-
- <row>
- <entry><ulink url="http://security.freebsd.org/advisories/FreeBSD-SA-12:05.bind.asc"
- >SA-12:05.bind</ulink></entry>
- <entry>6&nbsp;August&nbsp;2012</entry>
- <entry><para>&man.named.8; DNSSEC validation Denial of Service</para></entry>
- </row>
-
- <row>
- <entry><ulink url="http://security.freebsd.org/advisories/FreeBSD-SA-12:06.bind.asc"
- >SA-12:06.bind</ulink></entry>
- <entry>22&nbsp;November&nbsp;2012</entry>
- <entry><para>Multiple Denial of Service vulnerabilities with &man.named.8;</para></entry>
- </row>
-
- <row>
- <entry><ulink url="http://security.freebsd.org/advisories/FreeBSD-SA-12:07.hostapd.asc"
- >SA-12:07.hostapd</ulink></entry>
- <entry>22&nbsp;November&nbsp;2012</entry>
- <entry><para>Insufficient message length validation for EAP-TLS messages</para></entry>
- </row>
-
- <row>
- <entry><ulink url="http://security.freebsd.org/advisories/FreeBSD-SA-12:08.linux.asc"
- >SA-12:08.linux</ulink></entry>
- <entry>22&nbsp;November&nbsp;2012</entry>
- <entry><para>Linux compatibility layer input validation error</para></entry>
+ <entry>No security advisories to display.</entry>
+ <entry>&nbsp;</entry>
+ <entry>&nbsp;</entry>
</row>
</tbody>
</tgroup>
@@ -168,33 +118,7 @@
<sect1 id="late-news">
<title>Late-Breaking News</title>
- <para>[November 2, 2012] The current &man.mfi.4; driver has an
- overflow bug when handling disks larger than 2^32 sectors in
- SYSPD volumes, also known as JBODs, which will cause data
- corruption. This bug has been fixed on this &os;-CURRENT but
- was too late for inclusion in this release. An Errata Notice
- for &release.current; is planned.</para>
-
- <para>[December 25, 2012] The Installtion Instructions had the
- following wrong information about upgrading procedure. All of
- them have been fixed in the online version.</para>
-
- <itemizedlist>
- <listitem>
- <para>The link URL of <quote>upgrading section in the Release
- Notes</quote>, branch names where upcoming Security
- Advisories or Errata Notices will be applied, and a
- command line argument of &man.freebsd-update.8; were ones
- for 9.0-RELEASE, not for &release.current;.</para>
- </listitem>
-
- <listitem>
- <para>The list of releases supported by &man.freebsd-update.8;
- utility were incorrect. For 9.X, The following versions are
- supported: <literal>9.0-RELEASE</literal>,
- <literal>9.1-BETA1</literal>, and
- <literal>9.1-RC[123]</literal>.</para>
- </listitem>
- </itemizedlist>
+ <para>No news items available.</para>
+
</sect1>
</article>
@@ -14,7 +14,7 @@
<pubdate>$FreeBSD$</pubdate>
<copyright>
- <year>2012</year>
+ <year>2013</year>
<holder role="mailto:doc@FreeBSD.org">The &os; Documentation Project</holder>
</copyright>
@@ -51,7 +51,7 @@
<para>If you are upgrading from a previous release of &os;, please
read <ulink
- url="http://www.FreeBSD.org/releases/9.1R/relnotes-detailed.html#upgrade">upgrading
+ url="http://www.FreeBSD.org/releases/9.2R/relnotes-detailed.html#upgrade">upgrading
section in the Release Notes</ulink> for notable
incompatibilities carefully.</para>
@@ -63,10 +63,15 @@
<ulink url="&url.books.handbook;/synching.html"></ulink> and
<ulink url="&url.books.handbook;/makeworld.html"></ulink>.</para>
- <para>For SVN use the <filename>releng/9.1</filename> branch
+ <para>For SVN use the <filename>releng/9.2</filename> branch
which will be where any upcoming Security Advisories or Errata
- Notices will be applied. The branch tag to use for updating
- the source is <literal>RELENG_9_1</literal> for CVS.</para>
+ Notices will be applied.</para>
+
+ <note>
+ <para>CVS and cvsup are both deprecated, and not supported
+ methods for updating the <filename role="directory">src/</filename>
+ tree.</para>
+ </note>
</sect2>
<sect2>
@@ -76,17 +81,10 @@
upgrades of &arch.i386; and &arch.amd64; systems running
earlier FreeBSD releases. Systems running
<literal>7.[34]-RELEASE</literal>,
- <literal>8.[12]-RELEASE</literal>,
+ <literal>8.[1234]-RELEASE</literal>,
<literal>9.0-RELEASE</literal>,
- <literal>9.1-BETA1</literal>, or
- <literal>9.1-RC[123]</literal> can upgrade as follows:</para>
-
- <para>First, ensure that your current system is up to date; a
- change was recently made to &man.freebsd-update.8; (Errata
- Notice <ulink
- url="http://security.FreeBSD.org/advisories/FreeBSD-EN-12:01.freebsd-update.asc">FreeBSD-EN-12:01.freebsd-update</ulink>)
- which is needed in order to upgrade to &os;
- &release.current;.</para>
+ <literal>9.1-RELEASE</literal>, or
+ <literal>9.2-RC[1234]</literal> can upgrade as follows:</para>
<screen>&prompt.root; freebsd-update fetch
&prompt.root; freebsd-update install</screen>
@@ -96,7 +94,7 @@
&man.freebsd-update.8; will ask for help in merging
configuration files.</para>
- <screen>&prompt.root; freebsd-update upgrade -r 9.1-RELEASE</screen>
+ <screen>&prompt.root; freebsd-update upgrade -r 9.2-RELEASE</screen>
<para>Due to changes in the way that &os; is packaged on the
release media, two complications may arise in this process if
@@ -14,7 +14,7 @@
<pubdate>$FreeBSD$</pubdate>
<copyright>
- <year>2012</year>
+ <year>2013</year>
<holder role="mailto:doc@FreeBSD.org">The &os; Documentation Project</holder>
</copyright>
Oops, something went wrong.

0 comments on commit 8a79a40

Please sign in to comment.